%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname tgext-debugbar

Name:           python-%{srcname}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Debug Toolbar for TurboGears2 framework
License:        MIT
URL:            https://github.com/TurboGears/tgext.tw2
Source0:        %pypi_source tgext.debugbar

BuildArch:      noarch

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(webtest)
BuildRequires:	python3dist(turbogears2)

%generate_buildrequires
%pyproject_buildrequires

%{?python_enable_dependency_generator}

%global _description %{expand:
tgext.debugbar provides a Debug Toolbar for TurboGears2 framework.

Exposed sections are:

    Controller and Rendering time reporting
    Controller Profiling
    Request Parameters, Headers, Attributes and Environ
    SQLAlchemy Queries reporting and timing
    Explain and Show result of performed SQLAlchemy queries
    List mounted controllers, their path and exposed methods
    Log Messages}

%description %_description

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname} %_description


%prep
%autosetup -p1 -n tgext.debugbar-%{version}


%build
%pyproject_wheel


%install
rm -rf $RPM_BUILD_ROOT
%pyproject_install
%pyproject_save_files tgext


%check
#pyproject_check_import tgext.debugbar


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/tgext.debugbar-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Feb 19 2025 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk>
- initial release
